Subject: bug#34186: 26.1; locking up

From: Michael Menefee <[email-masked]>
Date: Thu, 24 Jan 2019 08:53:58 -0600

Hi,

I narrowed it down to a "#define anything(" as the last line in the buffer
will consistently lock up for me.  I'm sure it's the c mode not resolving
something right.  I will experiment more and send you the results if I can
reproduce with minimal buffer content.

Thanks

On Thu, Jan 24, 2019, 8:46 AM Eli Zaretskii <[email-masked] wrote:

> > From: Michael Menefee <[email-masked]>
> > Date: Wed, 23 Jan 2019 10:24:09 -0600
> >
> > Editing a C header file, I type
> > '#define AVL_iter(' and it locks up consistently and has to be killed
> > from another terminal, with CPU at 100%.
>
> I cannot reproduce this.  Does the buffer contain anything else in
> addition to the text you've shown?  Does it happen in "emacs -Q"?
>
> I invoked "emacs -Q", then typed
>
>   C-x C-f headerhang.h
>   #define AVL_iter(
>
> At that point, Emacs was responsive as I'd expect.  Are you doing the
> same to reproduce the problem?
>
> Thanks.
>